Skip to content
Endless Documentation

Get skill catalog

GET
/skill-catalog/{slug}

Returns a single skill catalog.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

slug*string
Match^[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$
Length1 <= length <= 80

Query Parameters

organization_id*string
Match^org_

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/skill-catalog/launch-2026?organization_id=string"
{  "listing": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "slug": "string",    "title": "string",    "summary": "string",    "categories": [      "marketing"    ],    "cover_url": "string",    "author": "string",    "verified": true,    "name": "string",    "uses": -9007199254740991,    "added_skill_id": "string",    "examples": [      "string"    ],    "license": "string",    "source_url": "string",    "description": "string",    "body": "string",    "updated_at": "2019-08-24T14:15:22Z",    "files": [      {        "path": "string",        "content": "string"      }    ]  }}